Subject: Re: PCI driver on EB8347

From: Rajan Rai <[email-masked]>
Date: Sun, 13 Aug 2006 00:31:31 -0400

Kumar, Liu
                  I was able to resolve problem. Problem was in PCI card 
firmware and not in Linux Kernel  or driver.

                             Thanks for your help.
Regards,
-Rajan

Kumar Gala wrote:
>
> On Aug 12, 2006, at 7:34 AM, Rajan Rai wrote:
>
>>
>>
>>          Thanks IRQ problem is resolved. As  pointed out it was 
>> problem with IRQ IDSEL mapping. Mapping needs to be different on Eval 
>> board I'm using and our custom design. But my driver is still not 
>> working on our custom design. PCI device doesn't receive any messages 
>> from MPC8347 on our custom design mother board which uses pci-bridge 
>> where as it works fine on Eval board which doesn't use PCI bridge.
>>
>>                         I guess problem lies at the kernel level and 
>> not the driver. Any tips apart from IDSEL IRQ settings at kernel 
>> level what else I need to change when I move from 1 mother board to 
>> another.  My PCI  devices do get base address 0 and 1 allocated 
>> properly by the OS. But when I try to write any messages on those 
>> addresses PCI device doesn't see them
>
> Is the bridge getting configured correctly?  An lspci output would be 
> helpful from your system with the P2P bridge.
>
> - kumar
>
>